Subject: [bitcoin-dev] postr: p2n payjoin using nostr

From: alicexbt <[email-masked]>
Date: Sat, 10 Jun 2023 22:17:24 +0000

Hello Bitcoin Developers,

Since I learnt about payjoin(p2ep), there was always discussion of it not being adopted because of need for sever. This proposal needs no personal sever however I am doubtful it still gets any adoption.

Note: Even stowaway (used by samourai) uses servers in fact two: soroban.samouraiwallet.com and paynym.is

I am sharing a proof of concept that does not need any server however there need to be some common nostr relays between sender and recipient:

Repository: https://gitlab.com/1440000bytes/postr
Demo Video: https://www.youtube.com/watch?v=O5qbexzO37c

/dev/fd0
floppy disk guy

Sent with [Proton Mail](https://proton.me/) secure email.